; tabstop=8
;
;
	ORG	0D000H


	JP	START
;
;
TALKMODE:	DB	00H

ERRFLAG:	DB	00H

VOL_A:		DB	08H
VOL_B:		DB	0AH

SOUNDPTR_A:	DW	0000H
SOUNDPTR_B:	DW	0000H

SOUNDLEN_A:	DB	00H
SOUNDLEN_B:	DB	00H

SOUND_R7:	DB	00H
SOUNDTMG:	DB	00H

SOUNDINIT:
	DI
	LD	A,07H
	OUT	(0A0H),A
	LD	A,0BFH
	OUT	(0A1H),A	; channel-A,B disable
	LD	(SOUND_R7),A
	LD	A,08H
	OUT	(0A0H),A
	LD	A,(VOL_A)
	OUT	(0A1H),A	; channel-A volume
	LD	A,09H
	OUT	(0A0H),A
	LD	A,(VOL_B)
	OUT	(0A1H),A	; channel-B volume

	EI
	LD	HL,SOUNDDAT_A
	LD	(SOUNDPTR_A),HL
	LD	HL,SOUNDDAT_B
	LD	(SOUNDPTR_B),HL
	LD	A,01H
	LD	(SOUNDTMG),A
	LD	(SOUNDLEN_A),A
	LD	(SOUNDLEN_B),A
	RET

SOUNDOUT:
	LD	HL,SOUNDTMG
	LD	A,(HL)
	DEC	A
	LD	(HL),A
	RET	NZ
	LD	A,07H
	LD	(HL),A

	LD	HL,SOUNDLEN_A
	LD	A,(HL)
	DEC	A
	LD	(HL),A
	JR	NZ,SLPB_0

	LD	HL,(SOUNDPTR_A)
	LD	E,(HL)
	INC	HL
	LD	A,(HL)
	INC	HL
	INC	HL
	LD	(SOUNDPTR_A),HL
	DEC	HL
	DEC	HL

	OR	E
	JR	NZ,SLPA_1

	LD	A,(SOUND_R7)
	OR	01H		; channel disable
	LD	(SOUND_R7),A
	JR	SLPA_2

SLPA_1:
	DI
	LD	A,00H
	OUT	(0A0H),A
	LD	A,E
	OUT	(0A1H),A	; TONE-A low
	LD	A,01H
	OUT	(0A0H),A
	LD	A,(HL)
	OUT	(0A1H),A	; TONE-A high
	EI

	LD	A,(SOUND_R7)
	AND	0FEH		; channel enable
	LD	(SOUND_R7),A

SLPA_2:
	INC	HL
	LD	A,(HL)
	LD	(SOUNDLEN_A),A

SLPB_0:
	LD	HL,SOUNDLEN_B
	LD	A,(HL)
	DEC	A
	LD	(HL),A
	JR	NZ,SLP_END

	LD	HL,(SOUNDPTR_B)
	LD	E,(HL)
	INC	HL
	LD	A,(HL)
	INC	HL
	INC	HL
	LD	(SOUNDPTR_B),HL
	DEC	HL
	DEC	HL

	OR	E
	JR	NZ,SLPB_1

	LD	A,(SOUND_R7)
	OR	02H		; channel disable
	LD	(SOUND_R7),A
	JR	SLPB_2

SLPB_1:
	DI
	LD	A,02H
	OUT	(0A0H),A
	LD	A,E
	OUT	(0A1H),A	; TONE-B low
	LD	A,03H
	OUT	(0A0H),A
	LD	A,(HL)
	OUT	(0A1H),A	; TONE-B high
	EI

	LD	A,(SOUND_R7)
	AND	0FDH		; channel enable
	LD	(SOUND_R7),A

SLPB_2:
	INC	HL
	LD	A,(HL)
	LD	(SOUNDLEN_B),A

SLP_END:
	DI
	LD	A,07H
	OUT	(0A0H),A
	LD	A,(SOUND_R7)
	OUT	(0A1H),A	; channel-A,B enable/disable
	EI

	RET

;
; voice data output
; C <- voice data
;
; RETURN : Cflag=1 ERROR

OUTDT:
	IN	A,(0E0H)
	BIT	4,A
	SCF
	RET	NZ
	BIT	6,A
	JR	Z,OUTDT
	PUSH	HL
	PUSH	DE
	CALL	SOUNDOUT
	POP	DE
	POP	HL
	LD	A,C
	OUT	(0E0H),A
	OR	A
	RET

START:
	CALL	SOUNDINIT
	LD	A,0FFH
	LD	(ERRFLAG),A
	LD	A,(TALKMODE)
	OUT	(0E2H),A	; set mode (speed)
	LD	A,0FEH
	OUT	(0E3H),A	; set external data

	LD	A,(SONGDATNUM)
	LD	E,A		; E <= SONG data num
	LD	IY,SONGLENDAT	; IY <= SONG length data address
	LD	HL,SONGTONEDAT	; HL <= SONG data address
LP5:
	LD	D,(IY+02)	; TONE length
LP2:
	LD	B,07H
LP1:
	LD	C,(HL)
	CALL	OUTDT
	RET	C
	INC	HL
	DJNZ	LP1
	DEC	D
	JR	NZ,LP2

	LD	D,(IY+00)	; DATA length
LP4:
	LD	A,D
	OR	A
	JR	Z,LP6
	LD	C,(IY+03)	; data #1
	CALL	OUTDT
	RET	C
	LD	B,05H
LP3:
	LD	C,00H		; data #2-6
	CALL	OUTDT
	RET	C
	DJNZ	LP3
	LD	C,(IY+04)	; data #7
	CALL	OUTDT
	RET	C
	DEC	D
	JR	LP4
LP6:
	INC	IY
	INC	IY
	INC	IY
	INC	IY
	INC	IY
	DEC	E
	JR	NZ,LP5

	XOR	A
	LD	(ERRFLAG),A
	RET



SOUNDDAT_A:
	DB	000H,000H,00aH		; init
	DB	0ddH,001H,030H		; L8. C
	DB	0ddH,001H,010H		; L16 C
	DB	0ddH,001H,030H		; L8. C
	DB	0a9H,001H,010H		; L16 D
	DB	07bH,001H,030H		; L8. E
	DB	07bH,001H,010H		; L16 E
	DB	07bH,001H,030H		; L8. E
	DB	07bH,001H,010H		; L16 E
	DB	0a9H,001H,030H		; L8. D
	DB	0ddH,001H,010H		; L16 C
	DB	0a9H,001H,030H		; L8. D
	DB	07bH,001H,010H		; L16 E
	DB	0ddH,001H,030H		; L8. C
	DB	0ddH,001H,010H		; L16 C
	DB	07dH,002H,040H		; L4  O3G
	DB	07bH,001H,040H		; L4  E
	DB	07bH,001H,030H		; L8. E
	DB	065H,001H,010H		; L16 F
	DB	03EH,001H,030H		; L8. G
	DB	03EH,001H,010H		; L16 G
	DB	03EH,001H,030H		; L8. G
	DB	03EH,001H,010H		; L16 G
	DB	065H,001H,030H		; L8. F
	DB	07bH,001H,010H		; L16 E
	DB	065H,001H,030H		; L8. F
	DB	03EH,001H,010H		; L16 G
	DB	07bH,001H,040H		; L4  E
	DB	000H,000H,030H		; R8.
	DB	03EH,001H,010H		; L16 G
	DB	07bH,001H,040H		; L4  E
	DB	000H,000H,030H		; R8.
	DB	03EH,001H,010H		; L16 G
	DB	07bH,001H,040H		; L4  E
	DB	000H,000H,030H		; R8.
	DB	03EH,001H,010H		; L16 G
	DB	065H,001H,030H		; L8. F
	DB	03EH,001H,010H		; L16 G
	DB	065H,001H,030H		; L8. F
	DB	03EH,001H,010H		; L16 G
	DB	07bH,001H,040H		; L4  E
	DB	000H,000H,080H		; R2
	DB	000H,000H,080H		; R2
	DB	000H,000H,080H		; R2
	DB	000H,000H,080H		; R2
	DB	000H,000H,0ffH		; end

SOUNDDAT_B:
	DB	000H,000H,00aH		; init
	DB	000H,000H,080H		; R2
	DB	000H,000H,080H		; R2
	DB	000H,000H,080H		; R2
	DB	000H,000H,080H		; R2
	DB	0ddH,001H,030H		; L8. C
	DB	0ddH,001H,010H		; L16 C
	DB	0ddH,001H,030H		; L8. C
	DB	0a9H,001H,010H		; L16 D
	DB	07bH,001H,030H		; L8. E
	DB	07bH,001H,010H		; L16 E
	DB	07bH,001H,030H		; L8. E
	DB	07bH,001H,010H		; L16 E
	DB	0a9H,001H,030H		; L8. D
	DB	0ddH,001H,010H		; L16 C
	DB	0a9H,001H,030H		; L8. D
	DB	07bH,001H,010H		; L16 E
	DB	0ddH,001H,030H		; L8. C
	DB	0ddH,001H,010H		; L16 C
	DB	07dH,002H,040H		; L4  O3G
	DB	07bH,001H,040H		; L4  E
	DB	07bH,001H,030H		; L8. E
	DB	065H,001H,010H		; L16 F
	DB	03EH,001H,030H		; L8. G
	DB	03EH,001H,010H		; L16 G
	DB	03EH,001H,030H		; L8. G
	DB	03EH,001H,010H		; L16 G
	DB	065H,001H,030H		; L8. F
	DB	07bH,001H,010H		; L16 E
	DB	065H,001H,030H		; L8. F
	DB	03EH,001H,010H		; L16 G
	DB	07bH,001H,040H		; L4  E
	DB	000H,000H,030H		; R8.
	DB	03EH,001H,010H		; L16 G
	DB	07bH,001H,040H		; L4  E
	DB	000H,000H,030H		; R8.
	DB	03EH,001H,010H		; L16 G
	DB	07bH,001H,040H		; L4  E
	DB	000H,000H,030H		; R8.
	DB	03EH,001H,010H		; L16 G
	DB	065H,001H,030H		; L8. F
	DB	03EH,001H,010H		; L16 G
	DB	065H,001H,030H		; L8. F
	DB	03EH,001H,010H		; L16 G
	DB	07bH,001H,040H		; L4  E
	DB	000H,000H,0ffH		; end


SONGDATNUM:
	DB	45

SONGLENDAT:
	DB	01eH,000H,01cH,009H,0c0H	; L8. C		; 000- / 01c-
	DB	000H,000H,010H,009H,0d0H	; L16 C		; 03a-
	DB	01eH,000H,012H,009H,0d0H	; L8. C		; 04a- / 05c-
	DB	000H,000H,010H,009H,0e0H	; L16 D		; 07a-
	DB	01eH,000H,012H,009H,090H	; L8. E		; 08a- / 09c-
	DB	000H,000H,010H,009H,0b0H	; L16 E		; 0ba-
	DB	01eH,000H,012H,009H,080H	; L8. E		; 0ca- / 0dc-
	DB	000H,000H,010H,009H,0a0H	; L16 E		; 0fa-
	DB	01fH,000H,011H,009H,080H	; L8. D		; 10a- / 11b-
	DB	001H,000H,00fH,009H,0b0H	; L16 C		; 13a- / 149-
	DB	01fH,000H,011H,009H,0a0H	; L8. D		; 14a- / 15b-
	DB	000H,000H,010H,009H,0c0H	; L16 E		; 17a-
	DB	01eH,000H,012H,009H,0e0H	; L8. C		; 18a- / 19c-
	DB	000H,000H,010H,009H,0c0H	; L16 C		; 1ba-
	DB	031H,000H,00fH,009H,0d0H	; L4  O3G	; 1ca- / 1d9-
	DB	02fH,000H,011H,009H,080H	; L4  E		; 20a- / 21b-
	DB	01eH,000H,012H,009H,0c0H	; L8. E		; 24a- / 25c-
	DB	000H,000H,010H,009H,0d0H	; L16 F		; 27a-
	DB	021H,000H,00fH,009H,0c0H	; L8. G		; 28a- / 299-
	DB	000H,000H,010H,009H,0c0H	; L16 G		; 2ba-
	DB	01eH,000H,012H,009H,0e0H	; L8. G		; 2ca- / 2dc-
	DB	000H,000H,010H,009H,0b0H	; L16 G		; 2fa-
	DB	01eH,000H,012H,009H,0d0H	; L8. F		; 30a- / 31c-
	DB	000H,000H,010H,009H,090H	; L16 E		; 33a-
	DB	01eH,000H,012H,009H,0e0H	; L8. F		; 34a- / 35c-
	DB	000H,000H,010H,009H,0e0H	; L16 G		; 37a-
	DB	02eH,000H,012H,009H,0b0H	; L4  E		; 38a- / 39c-
	DB	017H,000H,00fH,008H,000H	; R8		; 3ca- / 3d9-
	DB	002H,000H,018H,009H,0d0H	; L16 G		; 3f0- / 408-
	DB	02eH,000H,012H,009H,090H	; L4  E		; 40a- / 41c-
	DB	018H,000H,00eH,008H,000H	; R8		; 44a- / 458-
	DB	002H,000H,018H,009H,0d0H	; L16 G		; 470- / 488-
	DB	02eH,000H,012H,009H,090H	; L4  E		; 48a- / 49c-
	DB	018H,000H,00eH,008H,000H	; R8.		; 4ca- / 4d8-
	DB	002H,000H,018H,009H,0d0H	; L16 G		; 4f0- / 508-
	DB	01eH,000H,012H,009H,090H	; L8. F		; 50a- / 51c-
	DB	000H,000H,010H,009H,0c0H	; L16 G		; 53a-
	DB	01eH,000H,012H,009H,090H	; L8. F		; 54a- / 55c-
	DB	000H,000H,010H,009H,0c0H	; L16 G		; 57a-
	DB	02eH,000H,012H,009H,090H	; L4  E		; 58a- / 59c-
	DB	07fH,000H,00eH,008H,000H	; R2		; 5ca- / 5d8-
	DB	07fH,000H,001H,008H,000H	; R2		; 5ca- / 5d8-
	DB	07fH,000H,001H,008H,000H	; R2		; 5ca- / 5d8-
	DB	07fH,000H,001H,008H,000H	; R2		; 5ca- / 5d8-
	DB	001H,000H,001H,000H,000H	; END		; 5ca- / 5d8-


SONGTONEDAT:
	DB	008H,002H,07bH,012H,041H,07fH,003H
	DB	008H,000H,023H,000H,000H,000H,003H
	DB	008H,000H,000H,000H,000H,000H,003H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,010H,000H,010H,000H
	DB	008H,000H,000H,000H,000H,000H,020H
	DB	008H,000H,000H,000H,000H,0f0H,040H
	DB	008H,000H,000H,000H,010H,000H,050H
	DB	008H,000H,000H,000H,0f0H,010H,060H
	DB	008H,000H,000H,0f0H,000H,000H,070H
	DB	008H,000H,010H,010H,000H,000H,050H
	DB	008H,000H,0f0H,000H,000H,000H,070H
	DB	008H,000H,000H,000H,000H,010H,070H
	DB	008H,000H,000H,000H,000H,0f0H,070H
	DB	008H,000H,000H,0f0H,010H,010H,060H
	DB	008H,000H,000H,000H,0f0H,000H,060H
	DB	00dH,006H,011H,0fdH,0fdH,08dH,090H
	DB	009H,007H,009H,000H,0ffH,0bfH,0b0H
	DB	009H,000H,0e0H,000H,000H,000H,0b0H
	DB	009H,000H,000H,000H,000H,000H,0b0H
	DB	009H,000H,000H,000H,010H,000H,0c0H
	DB	009H,000H,0e8H,000H,0f8H,000H,0b0H
	DB	009H,000H,0e8H,000H,000H,000H,0b0H
	DB	009H,000H,0e8H,000H,0f8H,000H,0a0H
	DB	009H,000H,0e8H,000H,000H,000H,0a0H
	DB	009H,000H,0e0H,000H,000H,000H,090H
	DB	009H,000H,078H,000H,0f0H,0f0H,060H
	DB	009H,000H,088H,000H,000H,0f0H,000H
	DB	009H,000H,000H,000H,008H,000H,040H
	DB	009H,000H,010H,000H,008H,000H,080H
	DB	009H,000H,020H,010H,0f0H,000H,070H
	DB	009H,000H,0f0H,0f0H,0f0H,010H,070H
	DB	009H,000H,020H,000H,010H,0f0H,080H
	DB	009H,000H,020H,000H,000H,000H,0a0H
	DB	009H,000H,020H,0f0H,0f0H,000H,0a0H
	DB	009H,000H,020H,000H,000H,010H,0c0H
	DB	009H,000H,0f0H,000H,000H,000H,0d0H
	DB	009H,000H,000H,000H,0e8H,000H,0c0H
	DB	009H,000H,008H,000H,0e8H,008H,0b0H
	DB	009H,000H,000H,000H,0e8H,000H,0a0H
	DB	009H,000H,008H,000H,0e8H,008H,090H
	DB	009H,000H,000H,000H,020H,0f0H,060H
	DB	00cH,002H,0ffH,013H,023H,043H,020H
	DB	008H,001H,0efH,000H,029H,009H,020H
	DB	008H,000H,000H,000H,0f8H,000H,010H
	DB	008H,000H,000H,000H,0f8H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,010H,0e0H,0e0H,078H,0b0H
	DB	008H,000H,030H,0f0H,000H,028H,050H
	DB	008H,000H,0c0H,010H,000H,000H,060H
	DB	008H,000H,010H,000H,010H,0f0H,050H
	DB	00dH,006H,0f1H,005H,0f5H,0d5H,0a0H
	DB	009H,007H,019H,000H,0ffH,0efH,0c0H
	DB	009H,000H,0f0H,000H,000H,000H,0d0H
	DB	009H,000H,0e0H,000H,000H,000H,0d0H
	DB	009H,000H,0f0H,000H,000H,0f8H,0d7H
	DB	009H,000H,0f8H,008H,008H,0f8H,0d0H
	DB	009H,000H,0f8H,000H,000H,0f8H,0d0H
	DB	009H,000H,0f8H,008H,008H,0f8H,0d0H
	DB	009H,000H,020H,000H,000H,0d0H,0b7H
	DB	009H,000H,038H,000H,000H,0d0H,0a7H
	DB	009H,000H,0e0H,0f0H,000H,0e0H,0a7H
	DB	009H,000H,0c0H,000H,008H,0f8H,0a0H
	DB	009H,000H,0c0H,000H,008H,0f8H,0a0H
	DB	009H,000H,000H,000H,0f0H,000H,0a0H
	DB	009H,000H,000H,000H,010H,030H,0c0H
	DB	009H,000H,000H,000H,000H,030H,0d0H
	DB	009H,000H,020H,000H,0f0H,030H,0d0H
	DB	009H,000H,010H,000H,000H,000H,0d0H
	DB	009H,000H,0f0H,000H,000H,010H,0d0H
	DB	009H,000H,020H,000H,000H,010H,0e0H
	DB	009H,000H,008H,000H,0f8H,0e8H,0d7H
	DB	009H,000H,010H,000H,000H,0e8H,0c0H
	DB	009H,000H,010H,000H,0f8H,0e8H,0b0H
	DB	009H,000H,010H,000H,000H,0e8H,0b0H
	DB	009H,000H,020H,000H,000H,0e0H,097H
	DB	009H,000H,038H,000H,000H,000H,057H
	DB	00cH,002H,0ffH,00bH,013H,033H,007H
	DB	008H,001H,01fH,000H,0e9H,029H,000H
	DB	008H,000H,020H,000H,0e0H,020H,000H
	DB	008H,000H,020H,000H,0e0H,000H,000H
	DB	008H,000H,000H,010H,000H,010H,060H
	DB	008H,000H,0e0H,000H,020H,000H,020H
	DB	008H,000H,010H,0f0H,010H,0f0H,020H
	DB	00dH,006H,0f1H,005H,0edH,0c5H,030H
	DB	009H,007H,0f9H,0f0H,0ffH,0cfH,070H
	DB	009H,000H,000H,000H,000H,030H,090H
	DB	009H,000H,000H,000H,000H,010H,090H
	DB	009H,000H,000H,000H,000H,010H,090H
	DB	009H,000H,0f8H,000H,000H,0f0H,080H
	DB	009H,000H,000H,008H,000H,0f0H,080H
	DB	009H,000H,0f8H,000H,000H,0f0H,080H
	DB	009H,000H,000H,008H,000H,0f0H,080H
	DB	009H,000H,010H,000H,010H,0f0H,080H
	DB	009H,000H,000H,0f0H,010H,000H,070H
	DB	00cH,002H,017H,003H,013H,03bH,090H
	DB	008H,001H,01fH,008H,021H,039H,050H
	DB	008H,000H,010H,008H,018H,030H,020H
	DB	008H,000H,000H,000H,000H,000H,020H
	DB	008H,000H,000H,000H,000H,000H,040H
	DB	008H,000H,000H,000H,000H,000H,050H
	DB	008H,000H,0f0H,000H,000H,000H,070H
	DB	008H,000H,0a0H,000H,000H,000H,080H
	DB	00dH,006H,0b9H,0fdH,0e5H,0ddH,090H
	DB	009H,007H,029H,000H,0ffH,00fH,0b0H
	DB	009H,000H,018H,000H,0f8H,0f8H,0b0H
	DB	009H,000H,018H,000H,000H,000H,0b0H
	DB	009H,000H,018H,000H,0f8H,0f8H,0b0H
	DB	009H,000H,018H,000H,000H,000H,0c0H
	DB	009H,000H,020H,000H,0f0H,0d0H,0a0H
	DB	009H,000H,010H,000H,010H,0c0H,0a0H
	DB	009H,000H,000H,000H,020H,0f0H,0b0H
	DB	009H,000H,0f0H,000H,010H,0f0H,0c0H
	DB	009H,000H,0d0H,000H,000H,0f8H,0b0H
	DB	009H,000H,0d0H,000H,008H,000H,0a0H
	DB	009H,000H,0d0H,000H,000H,0f8H,090H
	DB	009H,000H,0d0H,000H,008H,000H,080H
	DB	009H,000H,000H,000H,000H,000H,080H
	DB	009H,000H,0f0H,000H,000H,000H,080H
	DB	009H,000H,010H,000H,000H,000H,080H
	DB	009H,000H,0f0H,000H,000H,000H,080H
	DB	009H,000H,000H,000H,000H,000H,080H
	DB	009H,000H,000H,000H,000H,000H,080H
	DB	009H,000H,000H,000H,000H,000H,070H
	DB	009H,000H,008H,000H,000H,008H,070H
	DB	009H,000H,000H,000H,000H,000H,070H
	DB	009H,000H,008H,000H,000H,008H,070H
	DB	009H,000H,020H,000H,000H,000H,070H
	DB	009H,000H,010H,000H,000H,0f0H,070H
	DB	009H,000H,030H,000H,0f0H,010H,070H
	DB	009H,000H,0c8H,000H,000H,0f8H,080H
	DB	009H,000H,0c8H,000H,000H,0f8H,0a0H
	DB	009H,000H,020H,000H,000H,000H,0a0H
	DB	009H,000H,000H,000H,000H,000H,0b0H
	DB	009H,000H,020H,000H,000H,020H,0b0H
	DB	009H,000H,020H,000H,0f0H,000H,0b0H
	DB	009H,000H,020H,000H,0f0H,000H,0a0H
	DB	009H,000H,030H,010H,0f0H,000H,0a0H
	DB	009H,000H,020H,000H,0f0H,000H,0a0H
	DB	009H,000H,0f0H,000H,0f8H,010H,090H
	DB	009H,000H,0f8H,000H,000H,010H,090H
	DB	009H,000H,0f0H,000H,0f8H,010H,080H
	DB	009H,000H,0f8H,000H,000H,010H,081H
	DB	009H,000H,0d8H,000H,000H,000H,081H
	DB	009H,000H,010H,000H,000H,000H,071H
	DB	009H,000H,018H,000H,010H,0d0H,061H
	DB	009H,000H,0b8H,0f8H,010H,0e8H,070H
	DB	009H,000H,0b8H,0f8H,010H,0e8H,080H
	DB	009H,000H,0f0H,000H,010H,000H,090H
	DB	009H,000H,000H,000H,000H,000H,090H
	DB	009H,000H,000H,000H,000H,000H,090H
	DB	009H,000H,020H,010H,0c0H,020H,080H
	DB	009H,000H,020H,000H,0f0H,020H,070H
	DB	009H,000H,020H,000H,000H,000H,070H
	DB	009H,000H,020H,000H,000H,000H,080H
	DB	009H,000H,020H,000H,000H,010H,080H
	DB	009H,000H,0f8H,0f8H,010H,000H,080H
	DB	009H,000H,000H,000H,010H,008H,090H
	DB	009H,000H,0f8H,0f8H,010H,000H,090H
	DB	009H,000H,000H,000H,010H,008H,0a1H
	DB	009H,000H,0d8H,000H,000H,0f0H,091H
	DB	009H,000H,0f0H,000H,000H,0f0H,091H
	DB	009H,000H,018H,010H,010H,0e0H,071H
	DB	009H,000H,048H,0f8H,008H,0f0H,050H
	DB	009H,000H,048H,0f8H,008H,0f0H,030H
	DB	009H,000H,000H,010H,020H,000H,020H
	DB	009H,000H,088H,000H,010H,000H,050H
	DB	009H,000H,0b8H,000H,000H,000H,080H
	DB	009H,000H,0f0H,000H,000H,010H,090H
	DB	009H,000H,0f0H,000H,000H,010H,0a0H
	DB	009H,000H,0f0H,000H,010H,000H,0b0H
	DB	009H,000H,000H,000H,000H,000H,0a7H
	DB	009H,000H,008H,000H,000H,008H,0a0H
	DB	009H,000H,008H,000H,000H,000H,0a0H
	DB	009H,000H,008H,000H,000H,008H,0a0H
	DB	009H,000H,010H,0f0H,0f0H,000H,0a7H
	DB	009H,000H,018H,000H,000H,000H,097H
	DB	009H,000H,0f0H,000H,0d0H,0f0H,087H
	DB	009H,000H,0e0H,000H,000H,0f0H,090H
	DB	009H,000H,0e0H,000H,000H,0f0H,0a0H
	DB	009H,000H,010H,000H,000H,000H,0a0H
	DB	009H,000H,000H,000H,000H,000H,0b0H
	DB	009H,000H,020H,000H,000H,020H,0b0H
	DB	009H,000H,020H,000H,0f0H,000H,0b0H
	DB	009H,000H,020H,000H,0f0H,000H,0a0H
	DB	009H,000H,030H,010H,0f0H,000H,0a0H
	DB	009H,000H,020H,000H,0f0H,000H,0a0H
	DB	009H,000H,010H,000H,000H,010H,0a0H
	DB	009H,000H,0f8H,000H,0f8H,000H,097H
	DB	009H,000H,0f8H,000H,000H,008H,090H
	DB	009H,000H,0f8H,000H,0f8H,000H,080H
	DB	009H,000H,000H,000H,000H,008H,080H
	DB	009H,000H,000H,000H,000H,0f0H,067H
	DB	009H,000H,028H,000H,000H,000H,037H
	DB	00cH,002H,007H,003H,01bH,033H,007H
	DB	008H,001H,0efH,008H,029H,009H,000H
	DB	008H,000H,0f0H,008H,020H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,010H,0e0H,0e0H,078H,0b0H
	DB	008H,000H,030H,0f0H,000H,028H,050H
	DB	008H,000H,0c0H,010H,000H,000H,060H
	DB	008H,000H,010H,000H,010H,0f0H,050H
	DB	00dH,006H,0f1H,005H,0f5H,0d5H,0a0H
	DB	009H,007H,019H,000H,0ffH,0efH,0c0H
	DB	009H,000H,0f8H,000H,0f8H,000H,0b0H
	DB	009H,000H,0f8H,000H,0f8H,000H,0b1H
	DB	009H,000H,0f8H,000H,0f8H,000H,0a0H
	DB	009H,000H,000H,000H,0f8H,000H,0a1H
	DB	009H,000H,0f8H,000H,010H,0f0H,0a2H
	DB	009H,000H,008H,010H,000H,0d0H,092H
	DB	009H,000H,018H,000H,000H,0d0H,082H
	DB	009H,000H,020H,000H,010H,0e0H,060H
	DB	009H,000H,020H,000H,010H,0e0H,050H
	DB	009H,000H,000H,000H,010H,000H,050H
	DB	00cH,002H,0d7H,003H,01bH,04bH,050H
	DB	00dH,006H,011H,005H,0fdH,0bdH,060H
	DB	009H,000H,000H,000H,000H,020H,080H
	DB	009H,000H,0e0H,000H,000H,010H,0b0H
	DB	009H,000H,0e0H,000H,000H,010H,0d0H
	DB	009H,000H,0d0H,000H,000H,010H,0e0H
	DB	009H,000H,010H,000H,000H,000H,0e0H
	DB	009H,000H,030H,000H,000H,000H,0e0H
	DB	009H,000H,0e8H,000H,000H,0f8H,0d0H
	DB	009H,000H,0f0H,000H,000H,000H,0d0H
	DB	009H,000H,0e8H,000H,000H,0f8H,0c0H
	DB	009H,000H,0f0H,000H,000H,000H,0c0H
	DB	009H,000H,0d0H,0f0H,000H,000H,0b0H
	DB	009H,000H,010H,000H,000H,0e0H,070H
	DB	00cH,002H,03fH,00bH,003H,03bH,000H
	DB	008H,001H,00fH,008H,001H,009H,000H
	DB	008H,000H,000H,008H,0f8H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,010H,0e0H,0e0H,078H,0b0H
	DB	008H,000H,030H,0f0H,000H,028H,050H
	DB	008H,000H,0c0H,010H,000H,000H,060H
	DB	008H,000H,010H,000H,010H,0f0H,050H
	DB	00dH,006H,0f1H,005H,0f5H,0d5H,0a0H
	DB	009H,007H,019H,000H,0ffH,0efH,0c0H
	DB	009H,000H,0e8H,000H,000H,0f8H,0c0H
	DB	009H,000H,0f0H,000H,008H,000H,0c1H
	DB	009H,000H,0f0H,000H,000H,0f8H,0c1H
	DB	009H,000H,0f0H,000H,008H,000H,0d1H
	DB	009H,000H,000H,000H,000H,0d0H,0c3H
	DB	009H,000H,030H,000H,010H,0e0H,0c3H
	DB	009H,000H,020H,000H,000H,000H,0b3H
	DB	009H,000H,0b0H,000H,000H,0d8H,091H
	DB	009H,000H,0b0H,000H,000H,0d8H,080H
	DB	009H,000H,020H,000H,000H,000H,070H
	DB	009H,000H,030H,000H,000H,000H,090H
	DB	009H,000H,020H,000H,000H,020H,0b0H
	DB	009H,000H,020H,000H,000H,010H,0c0H
	DB	009H,000H,000H,000H,0f0H,020H,0c0H
	DB	009H,000H,0e0H,000H,000H,040H,0d0H
	DB	009H,000H,008H,000H,0f0H,000H,0c6H
	DB	009H,000H,010H,008H,0f8H,008H,0b7H
	DB	009H,000H,008H,000H,0f0H,000H,0a6H
	DB	009H,000H,010H,008H,0f8H,008H,0a7H
	DB	009H,000H,0e0H,000H,000H,0f0H,0a5H
	DB	009H,000H,028H,000H,000H,0d0H,095H
	DB	009H,000H,030H,000H,000H,0d0H,075H
	DB	009H,000H,0a0H,0f8H,008H,0e8H,075H
	DB	009H,000H,0a0H,0f8H,008H,0e8H,085H
	DB	009H,000H,0e0H,000H,010H,000H,090H
	DB	009H,000H,000H,000H,000H,000H,090H
	DB	009H,000H,010H,000H,000H,000H,090H
	DB	009H,000H,020H,010H,0c0H,020H,080H
	DB	009H,000H,020H,000H,0f0H,020H,070H
	DB	009H,000H,020H,000H,000H,000H,070H
	DB	009H,000H,020H,000H,000H,000H,080H
	DB	009H,000H,020H,000H,000H,010H,080H
	DB	009H,000H,000H,000H,000H,0f8H,080H
	DB	009H,000H,008H,000H,008H,000H,080H
	DB	009H,000H,000H,000H,000H,0f8H,080H
	DB	009H,000H,008H,000H,008H,000H,080H
	DB	009H,000H,000H,000H,000H,0f0H,060H
	DB	009H,000H,020H,000H,000H,000H,030H
	DB	00cH,002H,007H,003H,01bH,033H,000H
	DB	008H,001H,0efH,008H,049H,051H,000H
	DB	008H,000H,0f0H,008H,040H,048H,000H
	DB	008H,000H,000H,000H,0f0H,000H,070H
	DB	008H,000H,000H,000H,000H,010H,030H
	DB	008H,000H,000H,000H,000H,000H,040H
	DB	008H,000H,000H,000H,000H,0e0H,040H
	DB	00dH,006H,011H,0fdH,0fdH,095H,090H
	DB	009H,007H,009H,000H,0ffH,0efH,0b0H
	DB	009H,000H,000H,000H,000H,000H,0c0H
	DB	009H,000H,000H,000H,000H,000H,0c0H
	DB	009H,000H,000H,000H,000H,000H,0c0H
	DB	009H,000H,0d0H,000H,0f8H,000H,0b7H
	DB	009H,000H,0d8H,000H,000H,000H,0b0H
	DB	009H,000H,0d0H,000H,0f8H,000H,0b0H
	DB	009H,000H,0d8H,000H,000H,000H,0b0H
	DB	009H,000H,000H,000H,000H,0f0H,080H
	DB	00cH,002H,047H,003H,003H,043H,020H
	DB	008H,001H,00fH,010H,0f9H,009H,000H
	DB	008H,000H,000H,000H,010H,038H,000H
	DB	008H,000H,000H,000H,010H,038H,000H
	DB	008H,000H,000H,000H,000H,010H,0a0H
	DB	008H,000H,000H,000H,000H,020H,0b0H
	DB	008H,000H,000H,000H,000H,010H,0a0H
	DB	008H,000H,000H,000H,000H,000H,0a0H
	DB	00dH,006H,0f9H,0fdH,0f5H,08dH,0a0H
	DB	009H,007H,0f9H,000H,0ffH,0ffH,0d0H
	DB	009H,000H,0f0H,0f0H,000H,010H,0d0H
	DB	009H,000H,0e8H,000H,0f8H,010H,0d7H
	DB	009H,000H,0f0H,000H,0f8H,010H,0d0H
	DB	009H,000H,0e8H,000H,0f8H,010H,0d0H
	DB	009H,000H,0f0H,000H,0f8H,010H,0e0H
	DB	009H,000H,020H,000H,010H,0f0H,0e7H
	DB	009H,000H,020H,000H,000H,0d0H,0d7H
	DB	009H,000H,030H,000H,010H,0e0H,0c0H
	DB	009H,000H,010H,010H,010H,0f0H,0c0H
	DB	009H,000H,000H,000H,000H,0f8H,0c0H
	DB	009H,000H,008H,008H,008H,000H,0c0H
	DB	009H,000H,000H,000H,000H,0f8H,0c0H
	DB	009H,000H,008H,008H,008H,000H,0c0H
	DB	009H,000H,000H,000H,000H,000H,0c0H
	DB	009H,000H,0f0H,0f0H,000H,000H,0c0H
	DB	009H,000H,000H,010H,000H,000H,0c0H
	DB	009H,000H,0f0H,0f8H,000H,000H,0c0H
	DB	009H,000H,0f8H,0f8H,000H,000H,0c0H
	DB	009H,000H,0f0H,0f8H,000H,000H,0c0H
	DB	009H,000H,0f8H,0f8H,000H,000H,0c0H
	DB	009H,000H,000H,000H,0f0H,0f0H,070H
	DB	00cH,002H,017H,013H,003H,043H,000H
	DB	008H,001H,00fH,0f0H,0f9H,009H,000H
	DB	008H,000H,000H,008H,000H,000H,000H
	DB	008H,000H,000H,008H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,010H,0e0H,0e0H,078H,0b0H
	DB	008H,000H,030H,0f0H,000H,028H,050H
	DB	008H,000H,0c0H,010H,000H,000H,060H
	DB	008H,000H,010H,000H,010H,0f0H,050H
	DB	00dH,006H,0f1H,005H,0f5H,0d5H,0a0H
	DB	009H,007H,019H,000H,0ffH,0efH,0c0H
	DB	009H,000H,0f8H,000H,0f8H,000H,0b0H
	DB	009H,000H,000H,000H,0f8H,000H,0b0H
	DB	009H,000H,0f8H,000H,0f8H,000H,0a0H
	DB	009H,000H,000H,000H,0f8H,000H,0a0H
	DB	009H,000H,000H,000H,010H,0f0H,0a0H
	DB	009H,000H,010H,010H,000H,0d0H,090H
	DB	009H,000H,020H,000H,000H,0d0H,080H
	DB	009H,000H,090H,0f8H,008H,0e0H,070H
	DB	009H,000H,090H,0f8H,008H,0e0H,060H
	DB	009H,000H,010H,000H,000H,000H,040H
	DB	009H,000H,0f0H,000H,010H,000H,020H
	DB	00cH,002H,05fH,0fbH,003H,04bH,060H
	DB	00dH,006H,0c9H,00dH,005H,0ddH,060H
	DB	009H,000H,020H,000H,000H,0f0H,090H
	DB	009H,000H,020H,000H,000H,020H,0b0H
	DB	009H,000H,030H,000H,000H,010H,0c0H
	DB	009H,000H,0f0H,000H,000H,030H,0d0H
	DB	009H,000H,0e0H,000H,000H,010H,0e0H
	DB	009H,000H,010H,000H,0f8H,0e8H,0d0H
	DB	009H,000H,018H,000H,000H,0e8H,0c0H
	DB	009H,000H,010H,000H,0f8H,0e8H,0b0H
	DB	009H,000H,018H,000H,000H,0e8H,0b0H
	DB	009H,000H,000H,010H,010H,0e0H,0a0H
	DB	009H,000H,010H,000H,020H,0f0H,060H
	DB	00cH,002H,007H,00bH,00bH,043H,000H
	DB	008H,001H,0efH,000H,001H,009H,000H
	DB	008H,000H,0f0H,000H,0f8H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,070H,0b0H
	DB	008H,000H,000H,000H,000H,000H,080H
	DB	00dH,006H,011H,0fdH,0fdH,0adH,080H
	DB	009H,007H,0f9H,0f0H,0cfH,0cfH,0a0H
	DB	009H,000H,010H,010H,0f0H,000H,0b0H
	DB	009H,000H,000H,000H,000H,000H,0b0H
	DB	009H,000H,0f8H,000H,0f8H,008H,0a0H
	DB	009H,000H,0f8H,000H,0f8H,008H,090H
	DB	009H,000H,0f8H,000H,0f8H,008H,080H
	DB	009H,000H,0f8H,000H,0f8H,008H,080H
	DB	009H,000H,000H,000H,000H,0f0H,061H
	DB	009H,000H,020H,000H,000H,000H,031H
	DB	00cH,002H,007H,003H,01bH,033H,001H
	DB	008H,001H,0efH,008H,029H,009H,000H
	DB	008H,000H,0f0H,008H,020H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,010H,0e0H,0e0H,078H,0b0H
	DB	008H,000H,030H,0f0H,000H,028H,050H
	DB	008H,000H,0c0H,010H,000H,000H,060H
	DB	008H,000H,010H,000H,010H,0f0H,050H
	DB	00dH,006H,0f1H,005H,0f5H,0d5H,0a0H
	DB	009H,007H,019H,000H,0ffH,0efH,0c0H
	DB	009H,000H,0f0H,000H,000H,000H,0d0H
	DB	009H,000H,0e0H,000H,000H,000H,0d0H
	DB	009H,000H,0f8H,000H,000H,0e8H,0c0H
	DB	009H,000H,000H,000H,000H,0e8H,0c0H
	DB	009H,000H,0f8H,000H,000H,0e8H,0b0H
	DB	009H,000H,000H,000H,000H,0e8H,0b0H
	DB	009H,000H,020H,000H,000H,0e0H,090H
	DB	009H,000H,030H,000H,000H,000H,050H
	DB	00cH,002H,0ffH,00bH,013H,033H,001H
	DB	008H,001H,01fH,000H,0e9H,029H,000H
	DB	008H,000H,020H,000H,0e0H,020H,000H
	DB	008H,000H,020H,000H,0e0H,000H,000H
	DB	008H,000H,000H,010H,000H,010H,060H
	DB	008H,000H,0e0H,000H,020H,000H,020H
	DB	008H,000H,010H,0f0H,010H,0f0H,020H
	DB	00dH,006H,0f1H,005H,0edH,0c5H,030H
	DB	009H,007H,0f9H,0f0H,0ffH,0cfH,070H
	DB	009H,000H,000H,000H,000H,030H,090H
	DB	009H,000H,0e0H,000H,000H,000H,087H
	DB	009H,000H,0e0H,008H,000H,008H,080H
	DB	009H,000H,0e0H,000H,000H,000H,080H
	DB	009H,000H,0e0H,008H,000H,008H,080H
	DB	009H,000H,010H,000H,000H,0f0H,070H
	DB	009H,000H,030H,0f0H,000H,0f0H,070H
	DB	009H,000H,020H,000H,010H,0f0H,070H
	DB	009H,000H,0a0H,000H,018H,0e8H,060H
	DB	009H,000H,0a0H,000H,018H,0e8H,060H
	DB	009H,000H,010H,000H,000H,000H,040H
	DB	009H,000H,0f0H,000H,010H,000H,020H
	DB	00cH,002H,05fH,0fbH,003H,04bH,060H
	DB	00dH,006H,0c9H,00dH,005H,0ddH,060H
	DB	009H,000H,020H,000H,000H,0f0H,090H
	DB	009H,000H,020H,000H,000H,020H,0b0H
	DB	009H,000H,030H,000H,000H,010H,0c0H
	DB	009H,000H,0f0H,000H,000H,030H,0d0H
	DB	009H,000H,0e0H,000H,000H,010H,0e0H
	DB	009H,000H,0f8H,000H,000H,0f8H,0d7H
	DB	009H,000H,0f8H,008H,000H,000H,0d0H
	DB	009H,000H,0f8H,000H,000H,0f8H,0d0H
	DB	009H,000H,0f8H,008H,000H,000H,0d0H
	DB	009H,000H,020H,000H,000H,0d0H,0b7H
	DB	009H,000H,030H,000H,000H,0d0H,0a7H
	DB	009H,000H,0e0H,0f0H,000H,0e0H,0a0H
	DB	009H,000H,0b8H,000H,008H,0f8H,0a0H
	DB	009H,000H,0b8H,000H,008H,0f8H,0a0H
	DB	009H,000H,000H,000H,0f0H,000H,0a0H
	DB	009H,000H,010H,000H,010H,030H,0c0H
	DB	009H,000H,000H,000H,000H,030H,0d0H
	DB	009H,000H,020H,000H,0f0H,030H,0d0H
	DB	009H,000H,010H,000H,000H,000H,0d0H
	DB	009H,000H,0f0H,000H,000H,010H,0d0H
	DB	009H,000H,020H,000H,000H,010H,0e0H
	DB	009H,000H,008H,000H,0f8H,0e8H,0d0H
	DB	009H,000H,010H,000H,000H,0e8H,0c0H
	DB	009H,000H,008H,000H,0f8H,0e8H,0b0H
	DB	009H,000H,010H,000H,000H,0e8H,0b1H
	DB	009H,000H,020H,000H,000H,0e0H,091H
	DB	009H,000H,030H,000H,000H,000H,051H
	DB	00cH,002H,0ffH,00bH,013H,033H,001H
	DB	008H,001H,037H,000H,0e1H,039H,000H
	DB	008H,000H,038H,000H,0d8H,030H,000H
	DB	008H,000H,000H,0f0H,000H,000H,000H
	DB	008H,000H,0d0H,010H,010H,010H,070H
	DB	008H,000H,0e0H,000H,010H,010H,050H
	DB	008H,000H,030H,000H,000H,0f0H,050H
	DB	00dH,006H,0f1H,0fdH,005H,0adH,050H
	DB	009H,007H,0f9H,000H,0ffH,0cfH,080H
	DB	009H,000H,000H,000H,000H,000H,0a0H
	DB	009H,000H,000H,000H,000H,000H,0a0H
	DB	009H,000H,000H,000H,000H,000H,0b0H
	DB	009H,000H,000H,000H,0f8H,000H,0a0H
	DB	009H,000H,000H,000H,000H,000H,0a0H
	DB	009H,000H,000H,000H,0f8H,000H,0a0H
	DB	009H,000H,000H,000H,000H,000H,0a0H
	DB	009H,000H,0f0H,000H,000H,000H,090H
	DB	009H,000H,000H,000H,000H,000H,090H
	DB	009H,000H,010H,000H,0f0H,000H,080H
	DB	009H,000H,0f0H,000H,010H,020H,090H
	DB	009H,000H,0f0H,000H,000H,010H,080H
	DB	009H,000H,020H,000H,000H,0f0H,080H
	DB	009H,000H,000H,000H,010H,000H,070H
	DB	009H,000H,0e0H,000H,020H,000H,050H
	DB	00cH,002H,007H,00bH,00bH,02bH,000H
	DB	008H,001H,0ffH,000H,019H,009H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,010H,000H,000H,007H	;
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,0f0H,010H,030H,007H
	DB	008H,000H,000H,010H,0f0H,0d0H,007H
	DB	008H,000H,000H,000H,010H,000H,007H
	DB	008H,000H,000H,000H,0f0H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,010H,0e0H,0e0H,078H,0b0H
	DB	008H,000H,030H,0f0H,000H,028H,050H
	DB	008H,000H,0c0H,010H,000H,000H,060H
	DB	008H,000H,010H,000H,010H,0f0H,050H
	DB	00dH,006H,0f1H,005H,0f5H,0d5H,0a0H
	DB	009H,007H,019H,000H,0ffH,0efH,0c0H
	DB	009H,000H,0f0H,000H,000H,000H,0d0H
	DB	009H,000H,0e0H,000H,000H,000H,0d0H
	DB	009H,000H,0f8H,000H,000H,0e8H,0c0H
	DB	009H,000H,000H,000H,000H,0e8H,0c0H
	DB	009H,000H,0f8H,000H,000H,0e8H,0b0H
	DB	009H,000H,000H,000H,000H,0e8H,0b1H
	DB	009H,000H,020H,000H,000H,0e0H,091H
	DB	009H,000H,030H,000H,000H,000H,051H
	DB	00cH,002H,0ffH,00bH,013H,033H,001H
	DB	008H,001H,01fH,000H,0e9H,029H,000H
	DB	008H,000H,020H,000H,0e0H,020H,000H
	DB	008H,000H,020H,000H,0e0H,000H,000H
	DB	008H,000H,000H,010H,000H,010H,060H
	DB	008H,000H,0e0H,000H,020H,000H,020H
	DB	008H,000H,010H,0f0H,010H,0f0H,020H
	DB	00dH,006H,0f1H,005H,0edH,0c5H,030H
	DB	009H,007H,0f9H,0f0H,0ffH,0cfH,070H
	DB	009H,000H,000H,000H,000H,030H,090H
	DB	009H,000H,000H,000H,000H,010H,090H
	DB	009H,000H,000H,000H,000H,010H,090H
	DB	009H,000H,0d8H,000H,000H,0f8H,090H
	DB	009H,000H,0e0H,008H,000H,000H,090H
	DB	009H,000H,0d8H,000H,000H,0f8H,090H
	DB	009H,000H,0e0H,008H,000H,000H,090H
	DB	009H,000H,020H,000H,000H,000H,090H
	DB	009H,000H,010H,000H,000H,000H,090H
	DB	009H,000H,010H,000H,000H,000H,080H
	DB	009H,000H,030H,000H,000H,010H,080H
	DB	009H,000H,0e0H,000H,010H,010H,0a0H
	DB	009H,000H,020H,000H,0f0H,000H,070H
	DB	009H,000H,020H,000H,000H,000H,030H
	DB	00cH,002H,0ffH,003H,023H,00bH,000H
	DB	008H,001H,0efH,000H,039H,009H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,010H,000H,000H,007H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,0f0H,010H,030H,007H
	DB	008H,000H,000H,010H,0f0H,0d0H,007H
	DB	008H,000H,000H,000H,010H,000H,007H
	DB	008H,000H,000H,000H,0f0H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,010H,0e0H,0e0H,078H,0b0H
	DB	008H,000H,030H,0f0H,000H,028H,050H
	DB	008H,000H,0c0H,010H,000H,000H,060H
	DB	008H,000H,010H,000H,010H,0f0H,050H
	DB	00dH,006H,0f1H,005H,0f5H,0d5H,0a0H
	DB	009H,007H,019H,000H,0ffH,0efH,0c0H
	DB	009H,000H,0f0H,000H,000H,000H,0d0H
	DB	009H,000H,0e0H,000H,000H,000H,0d0H
	DB	009H,000H,0f8H,000H,000H,0e8H,0c0H
	DB	009H,000H,000H,000H,000H,0e8H,0c0H
	DB	009H,000H,0f8H,000H,000H,0e8H,0b0H
	DB	009H,000H,000H,000H,000H,0e8H,0b1H
	DB	009H,000H,020H,000H,000H,0e0H,091H
	DB	009H,000H,030H,000H,000H,000H,051H
	DB	00cH,002H,0ffH,00bH,013H,033H,001H
	DB	008H,001H,01fH,000H,0e9H,029H,000H
	DB	008H,000H,020H,000H,0e0H,020H,000H
	DB	008H,000H,020H,000H,0e0H,000H,000H
	DB	008H,000H,000H,010H,000H,010H,060H
	DB	008H,000H,0e0H,000H,020H,000H,020H
	DB	008H,000H,010H,0f0H,010H,0f0H,020H
	DB	00dH,006H,0f1H,005H,0edH,0c5H,030H
	DB	009H,007H,0f9H,0f0H,0ffH,0cfH,070H
	DB	009H,000H,000H,000H,000H,030H,090H
	DB	009H,000H,000H,000H,000H,010H,090H
	DB	009H,000H,000H,000H,000H,010H,090H
	DB	009H,000H,0d8H,000H,000H,0f8H,090H
	DB	009H,000H,0e0H,008H,000H,000H,090H
	DB	009H,000H,0d8H,000H,000H,0f8H,090H
	DB	009H,000H,0e0H,008H,000H,000H,090H
	DB	009H,000H,020H,000H,000H,000H,090H
	DB	009H,000H,010H,000H,000H,000H,090H
	DB	009H,000H,010H,000H,000H,000H,080H
	DB	009H,000H,030H,000H,000H,010H,080H
	DB	009H,000H,0e0H,000H,010H,010H,0a0H
	DB	009H,000H,020H,000H,0f0H,000H,070H
	DB	009H,000H,020H,000H,000H,000H,030H
	DB	00cH,002H,0ffH,003H,023H,00bH,000H
	DB	008H,001H,0efH,000H,039H,009H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,010H,000H,000H,007H	;
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,0f0H,010H,030H,007H
	DB	008H,000H,000H,010H,0f0H,0d0H,007H
	DB	008H,000H,000H,000H,010H,000H,007H
	DB	008H,000H,000H,000H,0f0H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,010H,0e0H,0e0H,078H,0b0H
	DB	008H,000H,030H,0f0H,000H,028H,050H
	DB	008H,000H,0c0H,010H,000H,000H,060H
	DB	008H,000H,010H,000H,010H,0f0H,050H
	DB	00dH,006H,0f1H,005H,0f5H,0d5H,0a0H
	DB	009H,007H,019H,000H,0ffH,0efH,0c0H
	DB	009H,000H,0f0H,000H,000H,000H,0d0H
	DB	009H,000H,0e0H,000H,000H,000H,0d0H
	DB	009H,000H,0f8H,000H,000H,0e8H,0c0H
	DB	009H,000H,000H,000H,000H,0e8H,0c0H
	DB	009H,000H,0f8H,000H,000H,0e8H,0b0H
	DB	009H,000H,000H,000H,000H,0e8H,0b0H
	DB	009H,000H,020H,000H,000H,0e0H,091H
	DB	009H,000H,030H,000H,000H,000H,051H
	DB	00cH,002H,0ffH,00bH,013H,033H,001H
	DB	008H,001H,01fH,000H,0e9H,029H,000H
	DB	008H,000H,020H,000H,0e0H,020H,000H
	DB	008H,000H,020H,000H,0e0H,000H,000H
	DB	008H,000H,000H,010H,000H,010H,060H
	DB	008H,000H,0e0H,000H,020H,000H,020H
	DB	008H,000H,010H,0f0H,010H,0f0H,020H
	DB	00dH,006H,0f1H,005H,0edH,0c5H,030H
	DB	009H,007H,0f9H,0f0H,0ffH,0cfH,070H
	DB	009H,000H,000H,000H,000H,030H,090H
	DB	009H,000H,000H,000H,000H,010H,090H
	DB	009H,000H,000H,000H,000H,010H,090H
	DB	009H,000H,0f8H,000H,000H,0f0H,087H
	DB	009H,000H,0f8H,008H,000H,0f8H,080H
	DB	009H,000H,0f8H,000H,000H,0f0H,080H
	DB	009H,000H,0f8H,008H,000H,0f8H,080H
	DB	009H,000H,000H,000H,000H,0f0H,067H
	DB	009H,000H,020H,000H,000H,000H,037H
	DB	00cH,002H,007H,003H,01bH,033H,000H
	DB	008H,001H,0efH,008H,029H,009H,000H
	DB	008H,000H,0f0H,008H,020H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,010H,0e0H,0e0H,078H,0b0H
	DB	008H,000H,030H,0f0H,000H,028H,050H
	DB	008H,000H,0c0H,010H,000H,000H,060H
	DB	008H,000H,010H,000H,010H,0f0H,050H
	DB	00dH,006H,0f1H,005H,0f5H,0d5H,0a0H
	DB	009H,007H,019H,000H,0ffH,0efH,0c0H
	DB	009H,000H,0f0H,000H,000H,0e8H,0b0H
	DB	009H,000H,0f0H,000H,000H,0e8H,0b0H
	DB	009H,000H,0f0H,000H,000H,0e8H,0b0H
	DB	009H,000H,0f0H,000H,000H,0e8H,0b0H
	DB	009H,000H,020H,000H,000H,0e0H,091H
	DB	009H,000H,030H,000H,000H,000H,051H
	DB	00cH,002H,0ffH,00bH,013H,033H,001H
	DB	008H,001H,01fH,000H,0e9H,029H,000H
	DB	008H,000H,020H,000H,0e0H,020H,000H
	DB	008H,000H,020H,000H,0e0H,000H,000H
	DB	008H,000H,000H,010H,000H,010H,060H
	DB	008H,000H,0e0H,000H,020H,000H,020H
	DB	008H,000H,010H,0f0H,010H,0f0H,020H
	DB	00dH,006H,0f1H,005H,0edH,0c5H,030H
	DB	009H,007H,0f9H,0f0H,0ffH,0cfH,070H
	DB	009H,000H,000H,000H,000H,030H,090H
	DB	009H,000H,000H,000H,000H,010H,090H
	DB	009H,000H,000H,000H,000H,010H,090H
	DB	009H,000H,0f8H,000H,000H,0f0H,087H
	DB	009H,000H,0f8H,008H,000H,0f8H,080H
	DB	009H,000H,0f8H,000H,000H,0f0H,080H
	DB	009H,000H,0f8H,008H,000H,0f8H,080H
	DB	009H,000H,000H,000H,000H,0f0H,067H
	DB	009H,000H,020H,000H,000H,000H,037H
	DB	00cH,002H,007H,003H,01bH,033H,000H
	DB	008H,001H,0efH,008H,029H,009H,000H
	DB	008H,000H,0f0H,008H,020H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,010H,0e0H,0e0H,078H,0b0H
	DB	008H,000H,030H,0f0H,000H,028H,050H
	DB	008H,000H,0c0H,010H,000H,000H,060H
	DB	008H,000H,010H,000H,010H,0f0H,050H
	DB	00dH,006H,0f1H,005H,0f5H,0d5H,0a0H
	DB	009H,007H,019H,000H,0ffH,0efH,0c0H
	DB	009H,000H,0f0H,000H,000H,0e8H,0b0H
	DB	009H,000H,0f0H,000H,000H,0e8H,0b0H
	DB	009H,000H,0f0H,000H,000H,0e8H,0b0H
	DB	009H,000H,0f0H,000H,000H,0e8H,0b1H
	DB	009H,000H,020H,000H,000H,0e0H,091H
	DB	009H,000H,030H,000H,000H,000H,051H
	DB	00cH,002H,0ffH,00bH,013H,033H,001H
	DB	008H,001H,01fH,000H,0e9H,029H,000H
	DB	008H,000H,020H,000H,0e0H,020H,000H
	DB	008H,000H,020H,000H,0e0H,000H,000H
	DB	008H,000H,000H,010H,000H,010H,060H
	DB	008H,000H,0e0H,000H,020H,000H,020H
	DB	008H,000H,010H,0f0H,010H,0f0H,020H
	DB	00dH,006H,0f1H,005H,0edH,0c5H,030H
	DB	009H,007H,0f9H,0f0H,0ffH,0cfH,070H
	DB	009H,000H,000H,000H,000H,030H,090H
	DB	009H,000H,000H,000H,000H,010H,090H
	DB	009H,000H,000H,000H,000H,010H,090H
	DB	009H,000H,0d8H,000H,000H,0f8H,090H
	DB	009H,000H,0e0H,008H,000H,000H,090H
	DB	009H,000H,0d8H,000H,000H,0f8H,090H
	DB	009H,000H,0e0H,008H,000H,000H,090H
	DB	009H,000H,020H,000H,000H,000H,090H
	DB	009H,000H,010H,000H,000H,000H,090H
	DB	009H,000H,010H,000H,000H,000H,080H
	DB	009H,000H,030H,000H,000H,010H,080H
	DB	009H,000H,0e0H,000H,010H,010H,0a0H
	DB	009H,000H,020H,000H,0f0H,000H,070H
	DB	009H,000H,020H,000H,000H,000H,030H
	DB	00cH,002H,0ffH,003H,023H,00bH,000H
	DB	008H,001H,0efH,000H,039H,009H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H
	DB	008H,000H,000H,000H,000H,000H,000H

END
